DUMPER(1)

NAME
dumper - Dump core from WIN32PID to FILENAME.core

SYNOPSIS

dumper [-n] [-d] [-q] FILENAME WIN32PID

dumper -h | -V

OPTIONS

    -n, --nokill   don't terminate the dumped process
    -d, --verbose  be verbose while dumping
    -h, --help     output help information and exit
    -q, --quiet    be quiet while dumping (default)
    -V, --version  output version information and exit

DESCRIPTION

The dumper utility can be used to create a core dump of running Windows process. This core dump can be later loaded into gdb and analyzed.

If the core file size limit is set to unlimited (e.g. ulimit -c unlimited) and an error_start executable hasn't been configured in the CYGWIN environment variable, Cygwin will automatically run dumper when a fatal error occurs.

dumper can be also be started from the command line to create a core dump of any running process.

For historical reasons, unless the -n option is given, after the core dump is created and when the dumper exits, the target process is also terminated.

To save space in the core dump, dumper doesn't write those portions of the target process's memory space that were loaded from executable and dll files and are unchanged (e.g. program code). Instead, dumper saves paths to the files which contain that data. When a core dump is loaded into gdb, it uses these paths to load the appropriate files. That means that if you create a core dump on one machine and try to debug it on another, you'll need to place identical copies of the executable and dlls in the same directories as on the machine where the core dump was created.

NOTES

A Cygwin "core dump file" is an ELF file containing the mutable parts of the process memory and special note sections which capture the process, thread and loaded module context needed to recreate the process image in a debugger.

COPYRIGHT

Copyright © Cygwin authors

Permission is granted to make and distribute verbatim copies of this documentation provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this documentation under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this documentation into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Free Software Foundation.